Bug 3873 - Urpmi: add support for per-medium downloader options
: Urpmi: add support for per-medium downloader options
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-24 12:28 MSK by Denis Silakov
Modified: 2014-03-27 10:00 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments
ss1.avi (4.95 MB, video/x-msvideo)
2014-03-25 14:55 MSK, Postnikov Dmitry
Details
vb4.png (321.70 KB, image/png)
2014-03-25 14:56 MSK, Postnikov Dmitry
Details
vb3.png (216.96 KB, image/png)
2014-03-25 14:56 MSK, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2014-03-24 12:28:24 MSK
Currently urpmi supports only global downloader options (wget-options, curl-options, etc.) which are applied to all repositories.

But in some cases it would be convinient to have specific options for every repository - for example, if repositories are accessed using certificates and different certificate is required for every repository.

To support such cases, we need possibility to specify additional options for every medium at least in *.cfg file.
Comment 1 Denis Silakov 2014-03-24 12:36:16 MSK
Advisory:
Added support for new options in /etc/urpmi/urpmi.cfg file - now for every repository, you can use the following options:

+    medium-aria2-options
+    medium-curl-options
+    medium-prozilla-options
+    medium-rsync-options
+    medium-wget-options

Parameters specified using these ootions will be *added* to global downloader parameters. That is, if I have the followiong urpmi.cfg:

{
  downloader: wget
  wget-options: -v
}

my_repo http://localhost/repo1 {
  medium-wget-options: -c
}

Then wget will be called with "-v -c" options when accessing my_repo and only with "-v" when accessing other repositories.


Build lists:
https://abf.io/build_lists/1718757
https://abf.io/build_lists/1718758
Comment 2 Vladimir Potapov 2014-03-25 13:26:36 MSK
The update route to extended testing
Comment 3 Postnikov Dmitry 2014-03-25 14:55:27 MSK
Created attachment 2726 [details]
ss1.avi

Don't work with new options.
Comment 4 Postnikov Dmitry 2014-03-25 14:56:06 MSK
Created attachment 2727 [details]
vb4.png

This error.
Comment 5 Postnikov Dmitry 2014-03-25 14:56:34 MSK
Created attachment 2728 [details]
vb3.png

This my config urpmi.
Comment 6 Denis Silakov 2014-03-25 15:22:33 MSK
Please try these build lists:

https://abf.io/build_lists/1724115
https://abf.io/build_lists/1724116
Comment 7 Postnikov Dmitry 2014-03-25 18:03:17 MSK
(In reply to comment #6)
> Please try these build lists:
> 
> https://abf.io/build_lists/1724115
> https://abf.io/build_lists/1724116

Yes. Work OK. But... for example, if i write in urpmi.cfg "wget-options -v" then no stdout messages from wget. Urpmi somewhere hidden wget out messages.
Comment 8 Postnikov Dmitry 2014-03-25 18:04:29 MSK
if i write in urpmi.cfg "wget-options -v -a /home/<user>/ggg1.txt" then i see all out messages from wget in ggg1.txt
Comment 9 Denis Silakov 2014-03-25 21:38:09 MSK
(In reply to comment #7)
> (In reply to comment #6)
> > Please try these build lists:
> > 
> > https://abf.io/build_lists/1724115
> > https://abf.io/build_lists/1724116
> 
> Yes. Work OK. But... for example, if i write in urpmi.cfg "wget-options -v"
> then no stdout messages from wget. Urpmi somewhere hidden wget out messages.

Yes, but this is a completely different question - is it ok from urpmi side to hide some output.

The main result of the tests is that medium-* options are passed to downloader.
Comment 10 Postnikov Dmitry 2014-03-25 22:11:44 MSK
(In reply to comment #9)

> 
> The main result of the tests is that medium-* options are passed to
> downloader.

Yes.
Comment 11 Vladimir Potapov 2014-03-27 09:16:09 MSK
urpmi-6.71-58
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1724116/x86_64/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1724115/i586/main/release/
******************************* Advisory *********************
Advisory:
Added support for new options in /etc/urpmi/urpmi.cfg file - now for every repository, you can use the following options:

+    medium-aria2-options
+    medium-curl-options
+    medium-prozilla-options
+    medium-rsync-options
+    medium-wget-options

Parameters specified using these ootions will be *added* to global downloader parameters. That is, if I have the followiong urpmi.cfg:

{
  downloader: wget
  wget-options: -v
}

my_repo http://localhost/repo1 {
  medium-wget-options: -c
}

Then wget will be called with "-v -c" options when accessing my_repo and only with "-v" when accessing other repositories.
************************************************
QA Verified